package soapi

import plugin "simrs-vx/internal/use-case/simgos-sync-plugin/new/soapi"

func init() {
	createPreMw = append(createPreMw,
		createMw{Name: "sync-create-soapi", Func: plugin.Create})

	createSimxLogMw = append(createSimxLogMw,
		createLogMw{Name: "create-sync-log", Func: plugin.CreateLog})

	updatePreMw = append(updatePreMw,
		updateMw{Name: "sync-update-soapi", Func: plugin.Update})

	deletePreMw = append(deletePreMw,
		deleteMw{Name: "sync-delete-soapi", Func: plugin.Delete})
}
